import { MongoLogWriter } from './mongo-log-writer';
interface MongoLogOptions {
    directory: string;
    gzip?: boolean;
    retentionDays: number;
    maxLogFileCount?: number;
    retentionGB?: number;
    prefix?: string;
    onerror: (err: Error, path: string) => unknown | Promise<void>;
    onwarn: (err: Error, path: string) => unknown | Promise<void>;
}
export declare class MongoLogManager {
    _options: MongoLogOptions;
    constructor(options: MongoLogOptions);
    private deleteFile;
    private get prefix();
    cleanupOldLogFiles(maxDurationMs?: number): Promise<void>;
    createLogWriter(): Promise<MongoLogWriter>;
}
export {};
//# sourceMappingURL=mongo-log-manager.d.ts.map